;;; Create RevCloud as Polyline with yellow solid hatch within.
;;; Created by Igal Averbuh 2017 (inspired by some ideas from http://www.cadtutor.net/forum/)

(defun C:RS ()
(setvar "osmode" 16384)

(setvar 'dimscale
(cond ((getdist (strcat "\nSpecify Revision Cloud Arc Length : ")))
((getvar 'dimscale))
)
)
;(command "revcloud" "A" (* 0.3125 (getvar "DIMSCALE")) "")
(command "-layer" "m" "TPZ-NOTES" "C" "1" "" "")
(command "_.spline")
(while (> (getvar "CmdActive") 0)
(command pause)
)
(command "_.revcloud" "A" (* 0.8125 (getvar "DIMSCALE")) "" "_o" "_l" "_n")
(setq hpn (getvar 'hpname))
(setvar 'hpname "SOLID")
(command "_.-BHATCH" "_S" "L" "" "")
(setvar 'hpname hpn)
(command "_.change" "L" "" "P" "C" "2" "")
(command "_.draworder" "L" "" "B")
(setvar "osmode" 167)
(princ)
)
(c:rs)

Advertisements